﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using BexIDE.TIData;
using BexIDE.Tokens;
// Controls
using Be.Windows.Forms;
using FastColoredTextBoxNS;
using BexIDE.GUI;

namespace BexIDE.GUI {
    public class BexTab : TabPage {

        #region Fields

        private FileType type;
        private File8x file;
        private bool isSaved;
        private TokenCollection tokenLib;

        #endregion Fields

		#region Properties

		/// <summary>
		/// Gets a value indicating whether or not this tab's contents are saved.
		/// </summary>
		/// <value>
		/// <c>true</c> if this instance is saved; otherwise, <c>false</c>.
		/// </value>
		public bool IsSaved {
			get { return isSaved;}
		}

		#endregion Properties

        #region ctor()

        public BexTab(TokenCollection lib, FileType type) {
            this.type = type;
            isSaved = false;
            tokenLib = lib;
            switch (type) {
                case FileType.AppVar:
                    Controls.Add(new HexBox());
                    file = new AppVar();
                    break;
                case FileType.Program:
                    Controls.Add(GetInitializedEditor());
                    file = new Program(tokenLib);
                    break;
            }
        }

        #endregion ctor()

        #region Methods

        private FastColoredTextBox GetInitializedEditor() {
            FastColoredTextBox tb = new FastColoredTextBox();
            tb.AcceptsTab = true;
            tb.TabLength = 2;


            return new FastColoredTextBox();
        }

        #endregion Methods

    }
}