﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BexIDE.TIData {
    public interface IFile8x {

        string Comment { get; }

        string Name { get; }

        byte[] Data { get; }

        ushort DataLength { get; }

        byte Version { get; set; }

        TypeID Type { get; set; }

        ArchiveState MemState { get; set; }

        void SetComment(string c);

        void SetName(string n);

        void SetData(byte[] d);

        ushort GetChecksum(IEnumerable<byte> buff);

        void Export(string file);

        void Import(string file);

    }

    public enum TypeID {
        Program = 0x05,
        ProtProgram = 0x06,
        Image = 0x07,
        AppVar = 0x15
    }

    public enum ArchiveState {
        RAM = 0x00,
        Archive = 0x80
    }

    internal enum VarPrefix {
        Matrix = 0x5C,
        List = 0x5D,
        Image = 0x60,
        String = 0xAA
    }
}