﻿using System;
using System.Drawing;

namespace BexIDE.Themes {
    /// <summary>
    /// Provides information for the default theme of BexIDE.
    /// </summary>
    public class DefaultTheme : Theme {

        #region ctor()

        /// <summary>
        /// Creates a new DefaultTheme.
        /// </summary>
        public DefaultTheme() {
            Name = "Default";

            ForeColor = Color.FromArgb(0x00, 0x00, 0x00);
            TextColor = Color.FromArgb(0x00, 0x00, 0x00);
            BackColor = Color.FromArgb(0xF0, 0xF0, 0xF0);

            SeperatorDark = Color.FromArgb(0xA0, 0xA0, 0xA0);
            SeparatorLight = Color.FromArgb(0xE3, 0xE3, 0xE3);

            MenuGradientPrimary = Color.FromArgb(0xA0, 0xA0, 0xA0);
            MenuGradientSecondary = Color.FromArgb(0xF0, 0xF0, 0xF0);

            MenuItemSelectedBorder = Color.FromArgb(0x77, 0x88, 0x99);
            MenuItemSelectedFill = Color.FromArgb(0xFF, 0xFF, 0xFF);

            DropdownBorder = Color.FromArgb(0xA0, 0xA0, 0xA0);
            DropdownFill = Color.FromArgb(0xF5, 0xF5, 0xF5);
        }

        #endregion ctor()

    }
}